GET /api/v202406/bill/billLineTypeMapping

Retrieves a list of bill line type mappings

GetBillLineTypeMappingsV202406 Permissions: BillCAPture (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

BillLineTypeMappingResponseV202406
Property Description Type
accountCode The account code that the caption maps to string
accountId The account identifier integer (int32)
accountInfo The account info that the caption maps to string
caption The caption match that maps to the observation type string
observationTypeCode The observation type code that the caption maps to string
observationTypeId The observation type identifier integer (int32)
observationTypeInfo The observation type info that the caption maps to string
operator The match operator used to map the caption string
operatorId The bill line mapping operator identifier integer (int32)
type The type of mapping, either default, vendor or account string
vendorCode The vendor code that the caption maps to string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info that the caption maps to string
Example Response application/json
[
  {    "accountCode": "string",    "accountId": 1,    "accountInfo": "string",    "caption": "string",    "observationTypeCode": "string",    "observationTypeId": 1,    "observationTypeInfo": "string",    "operator": "string",    "operatorId": 1,    "type": "string",    "vendorCode": "string",    "vendorId": 1,    "vendorInfo": "string"
  }
]